Instalați Apostrophe CMS pe Ubuntu 16.04 | 18.04 LTS

  • Michael Arnold
  • 0
  • 3753
  • 879

ApostropheCMS este un sistem de gestionare a conținutului open source (CMS) construit pe Node.js care este utilizat în întreaga lume de către întreprinderi și persoane care caută o platformă simplă de utilizat pentru a construi site-uri web excelente ... Aduce bucurie și productivitate dezvoltatorilor web și editorilor de conținut ...

ApostropheCMS este utilizat pentru mai multe tipuri de site-uri web, de la organizații nonprofit mici și întreprinderi mari ...

Utilizarea ApostropheCMS pentru a vă edita conținutul de pe web ar trebui să fie ușoară și distractivă ... Nu este nevoie să înveți șabloane și HTML .... ApostropheCMS ascunde majoritatea acestor lucruri și se concentrează pe ceea ce contează cel mai mult ...

ApostropheCMS oferă funcții care ar putea să nu fie disponibile pentru alte CMS bazate pe PHP, cum ar fi WordPress Joomla sau Drupal ... Tot ce faceți este să vă scrieți conținutul și să-l publicați instantaneu ... Alte caracteristici precum legături permanente, categorii, pagini, postări și machete personalizate sunt toate conținut de top și prietenos cu SEO ...

Pentru mai multe informații despre ApostropheCMS, verificați pagina principală ... .

Acest scurt tutorial va arăta studenților și noilor utilizatori cum să instaleze ApostropheCMS pe Ubuntu 16.04 | 18.04 și 18.10 sisteme.

Acestea sunt pachetele pe care le vom configura ...

  • Ruby versiunea 2.5.3
  • MongoDB

Pasul 1: Instalați Ruby

Pentru a instala Ruby și Rails pe Ubuntu, va trebui să instalați câteva dependențe ... Pentru a face acest lucru, instalați depozitele Node.js și Yarn ... Acest lucru va facilita instalarea dependențelor ...

Mai întâi instalați aceste pachete curl și git ...

sudo apt update sudo apt install curl git

Deci executați comenzile de mai jos pentru a adăuga depozite și chei Node.js și Yarn în sistemul dvs. ... Apoi instalați câteva pachete de bază pentru a vă pune în funcțiune mediul ...

curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash - curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add - echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list sudo apt-get update sudo apt-get install nodejs yarn zlib1g-dev build-essential libpq-dev libssl-dev libreadline-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt1-dev libcurl4-openssl-dev software-properties-common libffi-dev

Când ați terminat ... continuați mai jos:

După adăugarea depozitelor și instalarea pachetelor necesare de mai sus, instalați Ruby cu setările de profil locale folosind rbenv ... vei folosi apoi rbenv pentru a instala ruby-build ...

cd ~ / git clone https://github.com/rbenv/rbenv.git ~ / .rbenv echo 'export PATH = "$ HOME / .rbenv / bin: $ PATH"' >> ~ / .bashrc echo 'eval " $ (rbenv init -) "'>> ~ / .bashrc exec $ SHELL git clone https://github.com/rbenv/ruby-build.git ~ / .rbenv / plugins / ruby-build echo' export PATH =" $ HOME / .rbenv / plugins / ruby-build / bin: $ PATH "'>> ~ / .bashrc exec $ SHELL

După configurarea profilului local ... rulați comenzile de mai jos pentru a instala versiunea Ruby 2.5.3... Dacă este disponibilă o versiune mai nouă, înlocuiți numărul versiunii cu acel ... vizitați acest site pentru a afla cele mai recente versiuni Ruby ... .

rbenv instalează 2.5.3 rbenv global 2.5.3

Pentru a verifica dacă Ruby este instalat, executați comenzile de mai jos:

rubin -v

Ar trebui să vedeți linii similare cu cele de mai jos:

ruby 2.5.3p105 (2018-10-18 revizuire 65156) [x86_64-linux]

Pasul 2: Instalați Node.js

Acum că mediul Ruby este configurat, rulați comenzile de mai jos pentru a instala Node.js ... Rulați comenzile de mai jos pentru a instala depozitul Node.js, apoi instalați pachetul Node.js ...

curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash - sudo apt-get install -y nodejs

Acum că Node.js este instalat, rulați comenzile de mai jos pentru a instala ApostropheCMS ...

Pasul 3: Instalați MongoDB

MongoDB este baza de date pe care Apostrophe o folosește ... Deci, instalați MongoDB, ImageMagic înainte de a continua cu configurarea proiectelor site-ului dvs. web ...

sudo apt install mongodb npm install mongodb --save

După instalarea serverului MongoDB, deschideți o nouă fereastră de terminal și încercați Ar trebui să pornească un prompt interactiv mongo. ctrl + c a iesi.

Pasul 4: Instalați ApostropheCMS

Acum că mediul dvs. este gata, rulați comenzile de mai jos pentru a instala ApostropheCMS și construiți primul site ... Apoi, rulați comenzile de mai jos ...

npm install imagemagick sudo npm install apostrophe-cli -g apostrophe create-project apostrophecms

Apoi schimbați în folderul ApostropheCMS și instalați acolo ...

cd ~ / apostrofecme

Apoi executați comenzile pentru a instala ApostropheCMS și configura serverul ... Adăugați un utilizator de administrator în grupul de administratori; solicită parola

npm install node app.js apostrophe-users: adăugați admin admin node app.js

După un timp, pachetele necesare ar trebui instalate și configurate, gata de utilizare.

Acum deschideți browserul și navigați la numele de gazdă urmat de port # 3000

http: // localhost: 3000

Ar trebui să vedeți pagina principală ApostropheCMS ...

Apoi, conectați-vă la backend și începeți să creați conținut ...

Utilizați acreditările pe care le-ați creat pentru administrator mai sus ...

Acum puteți începe să vă construiți conținutul excelent!

Felicitări! Ați instalat cu succes platforma Apostrophe CMS pe Ubuntu 16.04 | 18.04 | 18.10




Nimeni nu a comentat acest articol încă.

O colecție de informații utile despre sistemul de operare Linux și noile tehnologii
Articole proaspete, sfaturi practice, recenzii detaliate și ghiduri. Simțiți-vă ca acasă în lumea sistemului de operare Linux